# Key Storage Agent

1.  [Introduction](#introduction)
1.  [Setup](#setup)
1.  [License](#license)

# Introduction 

This agent is responsible for storing public and private keys used in the system and also for generating key pairs.

It uses the Data Storage service for storing and updating the keys.

It contains the following methods:
*  GetKey
*  SetKey
*  ReserveKeyUUID
*  Revoke
*  GenerateKeyPair

# Setup

### Installation

How to run:

```
$ cd $GOPATH/src/code.vereign.com/code/key-storage-agent 
$ make all
$ ./run.sh
```

# License

This project is licensed under the AGPL License - see the [LICENSE](LICENSE) file for details.